Переполнение буфера в SAP Message Server

Дата публикации:
06.07.2007
Всего просмотров:
832
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SAP Message Server
Уязвимые версии: SAP Message Server

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных при обработке HTTP запросов. Удаленный пользователь может с помощью специально сформированного GET запроса к /msgserver/html/group, содержащего слишком длинный аргумент (более 498 байт), передаваемый параметру "group", вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: www.sap.com

Решение: Установите последнюю версию с сайта производителя.

Ссылки: Critical Risk Vulnerability in SAP Message Server (Heap Overflow)

или введите имя

CAPTCHA